%define version      0.9.1
%define release %mkrel 14
%define name libfame
%define api 0.9
%define major 1
%define libname %mklibname fame %api %major
%define develname %mklibname -d fame

Summary:   Fast Assembly Mpeg Encoding library
Name:      %name
Version:   %version
Release:   %release
License:   LGPLv2+
Group:     System/Libraries
Source0:   http://prdownloads.sourceforge.net/fame/libfame-%{version}.tar.bz2
Patch:	libfame-0.9.1-gcc34-1.patch.bz2
Patch1:    libfame-0.9.1-64bit.diff
Patch2: libfame-0.9.1-fix-underquoted-calls.patch
URL:       http://fame.sourceforge.net
BuildRoot: %_tmppath/libfame-%{PACKAGE_VERSION}-root

%description
FAME is a library for fast MPEG encoding.

%package -n %libname
Summary:   Fast Assembly Mpeg Encoding library
Group:     System/Libraries

%description -n %libname
FAME is a library for fast MPEG encoding.

%package -n %develname
Summary: Libraries and include to develop using FAME
Group: Development/C
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release 
Provides: libfame0.9-devel = %version-%release
Conflicts: libfame-devel < %version
Obsoletes: %mklibname -d fame 0.9_1

%description -n %develname
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%prep

%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
aclocal
autoconf
automake -a -f --foreign

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%multiarch_binaries %{buildroot}%{_bindir}/*-config

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/libfame-%{api}.so.%{major}*

%files -n  %develname
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_bindir}/*-config
%{multiarch_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1-14.mga3
+ Revision: 357094
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 anssi <anssi> 0.9.1-13.mga1
+ Revision: 97993
- remove unneeded scriptlets
- mageiafy package
- ensure major correctness
- imported package libfame

